| kspaceFirstOrder3D-CUDA 1.1 The CUDA/C++ implementation of the k-wave toolbox for the time-domain simulation of acoustic wave fields in 3D

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Private Attributes | Static Private Attributes | Friends | List of all members
TCommandLineParameters Class Reference

The class to parse and store command line parameters. More...

`#include <CommandLineParameters.h>`

Collaboration diagram for TCommandLineParameters:
[legend]

## Public Member Functions
virtual | ~TCommandLineParameters ()
| Destructor.
const std::string & | GetInputFileName () const
| Get input file name.
const std::string & | GetOutputFileName () const
| Get output file name.
const std::string & | GetCheckpointFileName () const
| Get Checkpoint file name.
int | GetCUDADeviceIdx () const
| Get GPU device ID specified by the user (not necessary the one the code runs on).
bool | IsBenchmarkFlag () const
| Is –benchmark flag set?
bool | IsVersion () const
| Is –version flag set?
size_t | GetBenchmarkTimeStepsCount () const
| Get benchmark time step count.
size_t | GetCompressionLevel () const
| Get compression level.
size_t | GetNumberOfThreads () const
| Get number of threads.
size_t | GetProgressPrintInterval () const
| Get progress print interval.
size_t | GetStartTimeIndex () const
| Get start time index when sensor data collection begins.
bool | IsCheckpointEnabled () const
| Is checkpoint enabled?
size_t | GetCheckpointInterval () const
| Get checkpoint interval.
bool | IsStore_p_raw () const
| Is –p_raw set?
bool | IsStore_p_rms () const
| Is –p_rms set?
bool | IsStore_p_max () const
| Is –p_max set?
bool | IsStore_p_min () const
| Is –p_min set?
bool | IsStore_p_max_all () const
| Is –p_max_all set?
bool | IsStore_p_min_all () const
| Is –p_min_all set?
bool | IsStore_p_final () const
| Is –p_final set?
bool | IsStore_u_raw () const
| Is –u_raw set?
bool | IsStore_u_non_staggered_raw () const
| Is –u_non_staggered_raw set?
bool | IsStore_u_rms () const
| Is –u_rms set?
bool | IsStore_u_max () const
| Is –u_max set?
bool | IsStore_u_min () const
| Is –u_min set?
bool | IsStore_u_max_all () const
| Is –u_max_all set?
bool | IsStore_u_min_all () const
| Is –u_min set?
bool | IsStore_u_final () const
| Is –u_final set?
bool | IsCopySensorMask () const
| Is –copy_mask set set?
void | PrintUsage ()
| Print usage.. More...
void | PrintComandlineParamers ()
| Print setup. More...
void | ParseCommandLine (int argc, char **argv)
| Parse command line. More...

## Protected Member Functions
| TCommandLineParameters ()
| Default constructor - only friend class can create an instance. More...
| TCommandLineParameters (const TCommandLineParameters &src)
| Copy constructor not allowed for public.
TCommandLineParameters & | operator= (const TCommandLineParameters &src)
| operator = not allowed for public.

## Private Attributes
std::string | inputFileName
| Input file name.
std::string | outputFileName
| Output file name.
std::string | checkpointFileName
| Checkpoint file name.
size_t | numberOfThreads
| Number of CPU threads value.
int | cudaDeviceIdx
| Id of selected GPU devices.
size_t | progressPrintInterval
| ProgressInterval value.
size_t | compressionLevel
| CompressionLevel value.
bool | benchmarkFlag
| BenchmarkFlag value.
size_t | benchmarkTimeStepCount
| BenchmarkTimeStepsCount value.
size_t | checkpointInterval
| Checkpoint interval in seconds.
bool | printVersion
| print version of the code and exit.
bool | store_p_raw
| Store_p_raw value.
bool | store_p_rms
| Store_p_rms value.
bool | store_p_max
| Store_p_max value.
bool | store_p_min
| Store_p_min value.
bool | store_p_max_all
| Store_p_max_all value.
bool | store_p_min_all
| Store_p_min_all value.
bool | store_p_final
| Store_p_final value.
bool | store_u_raw
| Store_u_raw value.
bool | store_u_non_staggered_raw
| Store_u_non_staggered_raw value.
bool | store_u_rms
| Store_u_rms value.
bool | store_u_max
| Store_u_max value.
bool | store_u_min
| Store_u_min value.
bool | store_u_max_all
| Store_u_max_all value.
bool | store_u_min_all
| Store_u_min_all value.
bool | store_u_final
| Store_u_final value.
bool | copySensorMask
| Copy sensor mask to the output file.
size_t | startTimeStep
| StartTimeStep value.

## Static Private Attributes
static const size_t | DEFAULT_COMPRESSION_LEVEL = 0
| Default compression level.
static const size_t | DEFAULT_PROGRESS_PRINT_INTERVAL = 5
| Default progress print interval.

## Friends
class | TParameters
| Only TParameters can create this class.

## Detailed Description

The class to parse and store command line parameters.

Definition at line 213 of file CommandLineParameters.h.

## Constructor & Destructor Documentation

TCommandLineParameters::TCommandLineParameters | ( |  | ) |
| protected

Constructor.

Definition at line 68 of file CommandLineParameters.cpp.

## Member Function Documentation

void TCommandLineParameters::ParseCommandLine | ( | int | argc,
|  | char ** | argv
| ) |  |

Parse command line.

Parameters

  [in,out] | argc |
  [in,out] | argv |

Definition at line 256 of file CommandLineParameters.cpp.

Here is the call graph for this function:

Here is the caller graph for this function:

void TCommandLineParameters::PrintComandlineParamers | ( |  | ) |

Print out commandline parameters.

Definition at line 119 of file CommandLineParameters.cpp.

Here is the call graph for this function:

Here is the caller graph for this function:

void TCommandLineParameters::PrintUsage | ( |  | ) |

Print usage.

Definition at line 99 of file CommandLineParameters.cpp.

Here is the call graph for this function:

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- Parameters/CommandLineParameters.h
- Parameters/CommandLineParameters.cpp